<template>
  <section class="stories">
    <div class="container">
      <div class="row justify-content-between align-items-center pb-5">
        <h3 class="stories-title text-uppercase m-0">stories</h3>
        <span class="stories-subtitle">Discover all our stories</span>
      </div>
    </div>
    <div class="wrapper-stories-card">
      <div class="d-flex cards-slider">
        <div class="card c-1" style="width: 23rem">
          <div class="card-slider">
            <img
                src="@/assets/images/stories/Image-1.jpeg"
                class="card-img-top"
                alt="Stories-1"
            />
            <span class="slider-desc d-inline-block text-white"
            >The perfect running training: Some advice for beginners</span
            >
          </div>
        </div>
        <div class="card c-2" style="width: 23rem">
          <div class="card-slider">
            <img
                src="@/assets/images/stories/Image-2.jpeg"
                class="card-img-top"
                alt="Stories-2"
            />
            <span class="slider-desc d-inline-block text-white"
            >What are the differences between the lenses?</span
            >
          </div>
        </div>
        <div class="card c-3" style="width: 23rem">
          <div class="card-slider">
            <img
                src="@/assets/images/stories/Image-3.jpeg"
                class="card-img-top"
                alt="Stories-3"
            />
            <span class="slider-desc d-inline-block text-white"
            >What is important in sports glasses?</span
            >
          </div>
        </div>
        <div class="card c-4" style="width: 23rem">
          <div class="card-slider">
            <img
                src="@/assets/images/stories/Image-4.jpeg"
                class="card-img-top"
                alt="Stories-4"
            />
            <span class="slider-desc d-inline-block text-white"
            >Back to the roots - Back in Salzburg</span
            >
          </div>
        </div>
      </div>
    </div>

  </section>
</template>

<script>

export default {
  name: "SectionStories"
}
</script>

<style scoped>
.wrapper-stories-card {
  margin: 0 auto;
  width: 1544px;

}

.stories {
  overflow: hidden;
  position: relative;
  padding-bottom: 169px;
}

.stories::after {
  content: '';
  z-index: 1;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 536px;
  background: linear-gradient(
      180deg,
      #f7f7f70e 0%,
      #abcdd6 80.21%,
      rgba(171, 205, 214, 0.03) 100%
  );
}

.stories-title {
  align-items: center;
  font-size: 40px;
  line-height: 100%;
  letter-spacing: 0.1em;
}

.stories-subtitle {
  display: inline-block;
  font-size: 21px;
  line-height: 27px;
  color: #0a0a0a;
  position: relative;
  cursor: pointer;
}

.stories-subtitle::after {
  content: '>';
  right: -20px;
  top: 0;
  position: absolute;
  font-size: 16px;
}

.card-slider .card-img-top {
  border-radius: 6px;
}

.cards-slider {
  z-index: 2;
  column-gap: 1.5rem;
  position: relative;
  top: 0;
  left: 70px;
}

.card {
  overflow: hidden;
  border-radius: 0.38rem;
  border: none;
  cursor: pointer;
}

.card-slider {
  width: 368px;
  position: relative;
}

.card-slider::before {
  content: '';
  position: absolute;
  z-index: 1;
  border-radius: 6px;
  width: 100%;
  height: 100%;
  background: linear-gradient(
      180deg,
      rgba(0, 0, 0, 0) 54.69%,
      rgba(0, 0, 0, 0.4) 100%
  );
}

.slider-desc {
  position: absolute;
  z-index: 1;
  top: 535px;
  left: 10%;
  width: 80%;
  font-size: 22px;
  line-height: 108%;
}

.card-img-top, .slider-desc {
  transition: all 0.3s ease-in-out;
}

.card:hover .card-img-top {
  scale: 1.1;
}

.card:hover .slider-desc {
  top: 525px;
}
</style>